'use strict';

var circ = require('../../../../../../../../motion-utils@12.36.0/node_modules/motion-utils/dist/es/easing/circ.js');
var back = require('../../../../../../../../motion-utils@12.36.0/node_modules/motion-utils/dist/es/easing/back.js');
var anticipate = require('../../../../../../../../motion-utils@12.36.0/node_modules/motion-utils/dist/es/easing/anticipate.js');

const unsupportedEasingFunctions = {
    anticipate: anticipate.anticipate,
    backInOut: back.backInOut,
    circInOut: circ.circInOut,
};
function isUnsupportedEase(key) {
    return key in unsupportedEasingFunctions;
}
function replaceStringEasing(transition) {
    if (typeof transition.ease === "string" &&
        isUnsupportedEase(transition.ease)) {
        transition.ease = unsupportedEasingFunctions[transition.ease];
    }
}

exports.replaceStringEasing = replaceStringEasing;
